;--------------------------------------------------------
; File Created by SDCC : free open source ANSI-C Compiler
; Version 3.6.5 #9823 (MINGW64)
;--------------------------------------------------------
	.module columns_sms
	.optsdcc -mz80
	
;--------------------------------------------------------
; Public variables in this module
;--------------------------------------------------------
	.globl _main
	.globl _updateBalls
	.globl _loadGraphicsToVRAM
	.globl _initConsole
	.globl _SMS_VRAMmemcpy
	.globl _SMS_loadBGPalette
	.globl _SMS_loadPSGaidencompressedTiles
	.globl _SMS_waitForVBlank
	.globl _SMS_setSpriteMode
	.globl _SMS_setBGScrollY
	.globl _SMS_setBGScrollX
	.globl _SMS_VDPturnOnFeature
	.globl _SMS_init
	.globl _SMS_SRAM
	.globl _SRAM_bank_to_be_mapped_on_slot2
	.globl _ROM_bank_to_be_mapped_on_slot2
;--------------------------------------------------------
; special function registers
;--------------------------------------------------------
;--------------------------------------------------------
; ram data
;--------------------------------------------------------
	.area _DATA
_ROM_bank_to_be_mapped_on_slot2	=	0xffff
_SRAM_bank_to_be_mapped_on_slot2	=	0xfffc
_SMS_SRAM	=	0x8000
;--------------------------------------------------------
; ram data
;--------------------------------------------------------
	.area _INITIALIZED
;--------------------------------------------------------
; absolute external ram data
;--------------------------------------------------------
	.area _DABS (ABS)
;--------------------------------------------------------
; global & static initialisations
;--------------------------------------------------------
	.area _HOME
	.area _GSINIT
	.area _GSFINAL
	.area _GSINIT
;--------------------------------------------------------
; Home
;--------------------------------------------------------
	.area _HOME
	.area _HOME
;--------------------------------------------------------
; code
;--------------------------------------------------------
	.area _CODE
;columns_sms.c:17: void initConsole()
;	---------------------------------
; Function initConsole
; ---------------------------------
_initConsole::
;columns_sms.c:19: SMS_init();
	call	_SMS_init
;columns_sms.c:20: SMS_setSpriteMode(SPRITEMODE_NORMAL);
	ld	l,#0x00
	call	_SMS_setSpriteMode
;columns_sms.c:21: SMS_VDPturnOnFeature(VDPFEATURE_EXTRAHEIGHT);
	ld	hl,#0x0002
	call	_SMS_VDPturnOnFeature
;columns_sms.c:22: SMS_VDPturnOnFeature(VDPFEATURE_224LINES);
	ld	hl,#0x0110
	jp  _SMS_VDPturnOnFeature
;columns_sms.c:25: void loadGraphicsToVRAM()
;	---------------------------------
; Function loadGraphicsToVRAM
; ---------------------------------
_loadGraphicsToVRAM::
;columns_sms.c:27: SMS_loadBGPalette(gameBackgroundPalette_bin);
	ld	hl,#_gameBackgroundPalette_bin
	call	_SMS_loadBGPalette
;columns_sms.c:29: SMS_loadPSGaidencompressedTiles(gameBackground_psgcompr, BG_TILES_POSITION);
	ld	hl,#0x0000
	push	hl
	ld	hl,#_gameBackground_psgcompr
	push	hl
	call	_SMS_loadPSGaidencompressedTiles
	pop	af
;columns_sms.c:31: SMS_loadTileMap(0, 0, gameBackgroundTileMap_bin, gameBackgroundTileMap_bin_size);
	ld	hl, #0x0700
	ex	(sp),hl
	ld	hl,#_gameBackgroundTileMap_bin
	push	hl
	ld	hl,#0x7800
	push	hl
	call	_SMS_VRAMmemcpy
	ld	hl,#6
	add	hl,sp
	ld	sp,hl
	ret
;columns_sms.c:34: void updateBalls()
;	---------------------------------
; Function updateBalls
; ---------------------------------
_updateBalls::
;columns_sms.c:37: }
	ret
;columns_sms.c:40: void main()
;	---------------------------------
; Function main
; ---------------------------------
_main::
;columns_sms.c:42: initConsole();
	call	_initConsole
;columns_sms.c:43: loadGraphicsToVRAM();
	call	_loadGraphicsToVRAM
;columns_sms.c:45: SMS_setBGScrollX(0);
	ld	l,#0x00
	call	_SMS_setBGScrollX
;columns_sms.c:46: SMS_setBGScrollY(32);
	ld	l,#0x20
	call	_SMS_setBGScrollY
;columns_sms.c:47: SMS_displayOn();
	ld	hl,#0x0140
	call	_SMS_VDPturnOnFeature
00102$:
;columns_sms.c:51: SMS_waitForVBlank();
	call	_SMS_waitForVBlank
	jr	00102$
	.area _CODE
	.area _INITIALIZER
	.area _CABS (ABS)
